Skip to main content
POST
/
sites
Create a site
curl --request POST \
  --url https://api.tinyinbox.app/sites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "domain": "<string>",
  "accentColor": "<string>",
  "welcomeMessage": "<string>"
}
'
{
  "site": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ownerId": "<string>",
    "name": "<string>",
    "publicKey": "tin_abc123",
    "accentColor": "<string>",
    "welcomeMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "domain": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tinyinbox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Signed user session token for dashboard and account routes.

Body

application/json
name
string
required
Required string length: 1 - 80
domain
string | null
Maximum string length: 160
accentColor
string
Pattern: ^#[0-9a-fA-F]{6}$
welcomeMessage
string
Required string length: 1 - 180

Response

Created site

site
object
required